> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/support-and-history/archived/deprecated-uof-endpoints/available-producers.md).

# Available producers

This end point provides an overview of all the odds producers including the virtual ones.

```
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <producers response_code="OK">
    <producer id="1" name="LO" description="Live Odds" api_url="https://api.betradar.com/v1/liveodds/" active="true" scope="live" stateful_recovery_window_in_minutes="600"/>
    <producer id="3" name="Ctrl" description="Betradar Ctrl" api_url="https://api.betradar.com/v1/pre/" active="true" scope="prematch" stateful_recovery_window_in_minutes="4320"/>
    <producer id="4" name="BetPal" description="BetPal" api_url="https://api.betradar.com/v1/betpal/" active="true" scope="live" stateful_recovery_window_in_minutes="4320"/>
    <producer id="5" name="PremiumCricket" description="Premium Cricket" api_url="https://api.betradar.com/v1/premium_cricket/" active="false" scope="live|prematch" stateful_recovery_window_in_minutes="4320"/>
    <producer id="6" name="VF" description="Virtual football" api_url="https://api.betradar.com/v1/vf/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
    <producer id="7" name="WNS" description="Numbers Betting" api_url="https://api.betradar.com/v1/wns/" active="false" scope="prematch" stateful_recovery_window_in_minutes="4320"/>
    <producer id="8" name="VBL" description="Virtual Basketball League" api_url="https://api.betradar.com/v1/vbl/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
    <producer id="9" name="VTO" description="Virtual Tennis Open" api_url="https://api.betradar.com/v1/vto/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
    <producer id="10" name="VDR" description="Virtual Dog Racing" api_url="https://api.betradar.com/v1/vdr/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
    <producer id="11" name="VHC" description="Virtual Horse Classics" api_url="https://api.betradar.com/v1/vhc/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
    <producer id="12" name="VTI" description="Virtual Tennis In-Play" api_url="https://api.betradar.com/v1/vti/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
    <producer id="14" name="C-Odds" description="Competition Odds" api_url="https://api.betradar.com/v1/codds/" active="true" scope="live" stateful_recovery_window_in_minutes="4320"/>
    <producer id="15" name="VBI" description="Virtual Baseball In-Play" api_url="https://api.betradar.com/v1/vbi/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
    <producer id="17" name="VCI" description="Virtual Cricket In-Play" api_url="https://api.betradar.com/v1/vci/" active="true" scope="virtual" stateful_recovery_window_in_minutes="180"/>
  </producers>
```

The above attributes mean

| Attribute                       | Meaning                                                                                                                                                          |
| ------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| active                          | returns true/false based on a check of required packages for that product compared to bookmakers current packages                                                |
| scope                           | description of what the scope of this product is (possible values as of today in production are live, live\|prematch, prematch, virtual and empty) defined in DB |
| stateful\_recovery\_in\_minutes | max how far back in time (in minutes) you can recover stateful messages for an event from that producer                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/support-and-history/archived/deprecated-uof-endpoints/available-producers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
